function char_bin = double2binchar16(numero)
memory_width=16;
%lim = 2^16
lim = 65536;
if numero>=0
    char_bin = dec2bin(numero,memory_width);
else
    temp_i = lim + numero;
    char_bin = dec2bin(temp_i,memory_width);
end
end